WordPress 4.8.3 – Why You Need To Update Right Now?

Most versions of WordPress come with important security updates and WordPress 4.8.3 is no different. You should keep the WordPress core up to date, so stop reading this and go update it!

WordPress 4.8.3

The latest version of WordPress (Version 4.8.3) was available as of the 31st of October, 2017. You can read all about it from WordPress’ website here. You will see from WordPress’ post there was a vulnerability related to WP-DB. As such, you need to update to version 4.8.3 to be safe from it.

In addition, please keep plugins and themes up to date as well. Keep an eye out for any new updates to plugins or themes over the next few days as they are likely to be important.

If you require any assistance with updating WordPress, plugins or themes, please drop us an email┬áto support@peakplex.com and we’ll be happy to help.